Issue 120384 - Create VclTreeListBox for WINDOW_TREELISTBOX controls
Create VclTreeListBox for WINDOW_TREELISTBOX controls
Status: CLOSED FIXED
Product: QA
Classification: Unclassified
Component: testscripts
3.4.1
All All
: P3 major
: 4.0.0
Assigned To: automat
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 01:32 UTC by Li Lin Yi
Modified: 2013-07-12 11:32 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
20120801TreeListBox.patch (60.34 KB, patch)
2012-08-01 09:27 UTC, Li Lin Yi
no flags Details | Diff
TreeListBox.patch (1.95 KB, patch)
2012-08-01 09:27 UTC, Li Lin Yi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Li Lin Yi 2012-07-27 01:32:18 UTC
Control TreeList is different from ListBox. It has some special function, such as collapse and uncollapse all nodes.
Add testcommon/source/org/openoffice/test/vcl/widget/VclTreeListBox to make it easier to write GUI test case.
Comment 1 Li Lin Yi 2012-08-01 09:27:13 UTC
Created attachment 78798 [details]
20120801TreeListBox.patch
Comment 2 Li Lin Yi 2012-08-01 09:27:53 UTC
Created attachment 78799 [details]
TreeListBox.patch
Comment 3 Li Lin Yi 2012-08-01 09:30:40 UTC
I created 2 patches to finish this task.

1. TreeListBox.patch: Modified "automation" module. Add collapse/expand event.
2. 20120801TreeListBox.patch: Modified "test" module. Add treelistbox control.

Pls help to review it. Thx~
Comment 4 SVN Robot 2012-08-02 00:34:28 UTC
"liuzhe" committed SVN revision 1368319 into trunk:
#120384# - Create VclTreeListBox for WINDOW_TREELISTBOX controls.\\nPatch By:...
Comment 5 SVN Robot 2012-08-02 00:40:47 UTC
"liuzhe" committed SVN revision 1368324 into trunk:
#120384# - Create VclTreeListBox for WINDOW_TREELISTBOX controls. Patch By: L...
Comment 6 SVN Robot 2012-08-02 00:41:26 UTC
"liuzhe" committed SVN revision 1368326 into trunk:
#120384# - Create VclTreeListBox for WINDOW_TREELISTBOX controls. Patch By: L...
Comment 7 aliuzhe 2012-08-02 00:47:15 UTC
I has committed the patches. There are some little problems which I has helped you to fix.
1.testcase.gui.sc.sort#testSortOptionsCustomSortOrderPredefineFromCopyList includes some trial code. The test method always is failed.
2.Rename VclTree->VclTreeListBox. Make it consistent with C++ name.
Comment 8 Li Lin Yi 2012-08-02 06:22:47 UTC
Thanks Zhe.

Mark as resolved.